| Home | Libraries | People | FAQ | More

###### array::erase (1 of 2 overloads)

Erase elements from the container.

###### Synopsis

    iterator
    erase(
        const_iterator pos);

###### Description

The element at `pos` is removed.

###### Complexity

Constant plus linear in `std::distance(pos, end())`

###### Exception Safety

No-throw guarantee.

###### Parameters

Name | Description
--- | ---
`pos` | Iterator to the element to remove

###### Return Value

Iterator following the last removed element. If the iterator `pos` refers to the last element, the `end()` iterator is returned.